Bug 62311 - (Mozilla) minor right key scrolling glitch
(Mozilla) minor right key scrolling glitch
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 10:03 EST by Warren Togami
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-09 07:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from upstream against mozilla-0.9.9-7.src.rpm that fixes most (but not all) of this problem (16.52 KB, patch)
2002-04-14 06:21 EDT, Warren Togami
no flags Details | Diff

  None (edit)
Description Warren Togami 2002-03-29 10:03:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
Often when I am typing into textareas of web pages (Hey!  Like this Bugzilla
form...)  I wish to scroll to the end of the textarea.  I can use the down arrow
to get to the bottom, and usually Right arrow or CTRL-Right arrow to scroll to
the end of the line.

Unfortunately, the right arrow or CTRL-Right arrow will scroll right through the
end of the textbox and back to the beginning.  To my knowledge no other popular
web browsers behave this way.

Version-Release number of selected component (if applicable):
Skipjack beta1 with up2date (3-27-2002)

How reproducible:
Always

Steps to Reproduce:
1. Type text into a textarea.  Fill it enough so that a vertical scroll bar occurs.
2. Hold down right or CTRL-right and be annoyed at a browser behavior that
doesn't exist in other browsers.

Actual Results:  Scrolls through end and back to beginning of textarea.

Expected Results:  It should simply stop at the end of the textarea.

Additional info:   It will only scroll through the end if there is a vertical
scrollbar in that text area.
Comment 1 Warren Togami 2002-04-14 06:21:47 EDT
Created attachment 53785 [details]
patch from upstream against mozilla-0.9.9-7.src.rpm that fixes most (but not all) of this problem
Comment 2 Warren Togami 2002-04-14 06:26:32 EDT
http://bugzilla.mozilla.org/show_bug.cgi?id=82151  
  
I manually merged the last patch here against the latest 
mozilla-0.9.9-7.src.rpm from Rawhide.  It seems to mostly fix the "right arrow 
scrolling back to beginning of textarea" bug with one exception.  If you 
scroll all the way down with the down arrow so that the cursor jumps beyond 
the final character, the right key makes the cursor jump to the beginning of 
that line. 
 
I'm talking with the submitter of the original patch to hopefully find a 
solution to this.
Comment 3 Warren Togami 2002-04-19 06:43:59 EDT
I was unable to find the other patch that fixes the additional bug introduced by
my patch above where right arrow key goes to beginning of line in a certain
conditions.

http://bugzilla.mozilla.org/show_bug.cgi?id=82151
However, this bug is completely fixed in currently Mozilla trunk (but not
Mozilla 1.0.0 rc1).
Comment 4 Warren Togami 2002-05-09 07:04:08 EDT
Bug still exists in Red Hat 7.3. 
Comment 5 Warren Togami 2002-08-12 03:31:25 EDT
Appears fixed in Limbo2.

Note You need to log in before you can comment on or make changes to this bug.